const int ledPin = 13; // Pin connected to the LED

void setup() {
  Serial.begin(9600); // Initialize serial communication
  pinMode(ledPin, OUTPUT); // Set the LED pin as an output
}

void loop() {
  if (Serial.available() > 0) {
    char command = Serial.read(); // Read the command from serial

    // Check the received command and control the LED
    if (command == '1') {
      digitalWrite(ledPin, HIGH); // Turn on the LED
    } else if (command == '0') {
      digitalWrite(ledPin, LOW); // Turn off the LED
    }
  }
}
